Subject: Re: bug#40113: 28.0.50; Tramp uses 100% CPU then times out

From: Michael Albinus <[email-masked]>
Date: Wed, 18 Mar 2020 11:52:03 +0100

Alan Third <[email-masked]> writes:

> When I try to open "/ssh:warhorse:" Emacs uses 100% CPU and after a minute or
> so gives me a timeout error. The buffer *tramp/ssh warhorse* doesn't
> exist. Strangely one of my three linux boxes appears to connect OK,
> but two time out. I can't see anything different between them.
>
> I can ssh to them OK. I'm using zsh as the shell with the same .zshrc on all
> three.
>
> I'm unsure how to debug this problem further.

Set tramp-verbose to 6. Show Tramp's debug buffer after the timeout.

Is it possible to interrupt Tramp with C-g?

Best regards, Michael.